Method: networks.audienceSegments.batchPopulate

Populates AudienceSegment objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/audienceSegments:batchPopulate

Path parameters

Parameters
parent

string

Required. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "names": [
    string
  ]
}
Fields
names[]

string

Required. Resource names for the AudienceSegments. Format: networks/{networkCode}/audienceSegments/{audienceSegmentId}

Response body

Response message for audienceSegments.batchPopulate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "changeCount": string
}
Fields
changeCount

string (int64 format)

Number of audience segments populated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.